Add or update a schedule

PUT
/api/v1/tasks/{id}/schedules/{taskScheduleId}

Add or update a schedule for the specified task.

Authorization

auth ApiKey
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

In: header

X-API-KEY<token>

Internal API key for admin endpoints. Example: "X-API-KEY: {key}"

In: header

Path Parameters

id*string

The ID of the task.

Formatuuid
taskScheduleId*string

The ID of the task schedule, if updating an existing schedule.

Formatuuid

Request Body

application/json

The request object containing schedule details.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/schedules/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "timeZone": "string"  }'
Empty